package ${basePackage}.action.api.system;

import ${basePackage}.frame.auth.LocalData;
import ${basePackage}.module.system.mgr.DeptManager;
import ${basePackage}.module.system.req.*;
import ${basePackage}.module.system.rsp.*;
import org.springframework.beans.factory.annotation.Autowired;

public class DeptApi{

    @Autowired
    private DeptManager deptManager;

    public DeptCreateResponse create(DeptCreateRequest request) {
        return deptManager.create(request, LocalData.getToken());
    }

    public DeptDeleteResponse delete(DeptDeleteRequest request) {
        return deptManager.delete(request, LocalData.getToken());
    }

    public DeptUpdateResponse update(DeptUpdateRequest request) {
        return deptManager.update(request, LocalData.getToken());
    }

    public DeptFindResponse find(DeptFindRequest request) {
        return deptManager.find(request, LocalData.getToken());
    }

    public DeptGetResponse get(DeptGetRequest request) {
        return deptManager.get(request, LocalData.getToken());
    }
}
